Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.admin
Class TokenVerifierServiceAdmin

    java.lang.Object
      org.wso2.solutions.identity.admin.TokenVerifierServiceAdmin

    public class TokenVerifierServiceAdmin

extends java.lang.Object

Constructor Summary
`TokenVerifierServiceAdmin()`

Method Summary
`void` | `addRelyingPartyUser(java.lang.String username, java.lang.String password)`
`void` | `addVerifierServiceIdpDO(VerifierServiceIdpDO idp)`
`void` | `deleteRelyingPartyUser(java.lang.String username)`
`void` | `deleteVerifierServiceIdpDO(java.lang.Long longId)`
`boolean` | `editRelyingPartyUserPassword(java.lang.String oldPassword, java.lang.String username, java.lang.String password)`
`void` | `editVerifierServiceIdpDO(VerifierServiceIdpDO idp)`
`VerifierServiceIdpDO[]` | `getGlobalIDPs()`
`java.lang.String[]` | `getRelyingPartyUsers()`
`VerifierServiceIdpDO` | `getVerifierServiceIdpDO(java.lang.Long longId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenVerifierServiceAdmin

    public TokenVerifierServiceAdmin()

Method Detail

### getGlobalIDPs

    public VerifierServiceIdpDO[] getGlobalIDPs()
                                         throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getVerifierServiceIdpDO

    public VerifierServiceIdpDO getVerifierServiceIdpDO(java.lang.Long longId)

### addVerifierServiceIdpDO

    public void addVerifierServiceIdpDO(VerifierServiceIdpDO idp)
                                 throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### editVerifierServiceIdpDO

    public void editVerifierServiceIdpDO(VerifierServiceIdpDO idp)
                                  throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### deleteVerifierServiceIdpDO

    public void deleteVerifierServiceIdpDO(java.lang.Long longId)
                                    throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getRelyingPartyUsers

    public java.lang.String[] getRelyingPartyUsers()
                                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### addRelyingPartyUser

    public void addRelyingPartyUser(java.lang.String username,
                                    java.lang.String password)
                             throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### editRelyingPartyUserPassword

    public boolean editRelyingPartyUserPassword(java.lang.String oldPassword,
                                                java.lang.String username,
                                                java.lang.String password)
                                         throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### deleteRelyingPartyUser

    public void deleteRelyingPartyUser(java.lang.String username)
                                throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD